Package org.apache.catalina.mapper

## Class WrapperMappingInfo

- java.lang.Object
- - org.apache.catalina.mapper.WrapperMappingInfo

    public class WrapperMappingInfo
    extends java.lang.Object

Encapsulates information used to register a Wrapper mapping.

### Constructor Summary

Constructors
`WrapperMappingInfo​(java.lang.String mapping, Wrapper wrapper, boolean jspWildCard, boolean resourceOnly)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMapping()`
`Wrapper` `getWrapper()`
`boolean` `isJspWildCard()`
`boolean` `isResourceOnly()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrapperMappingInfo

    public WrapperMappingInfo​(java.lang.String mapping,
                              Wrapper wrapper,
                              boolean jspWildCard,
                              boolean resourceOnly)

### Method Detail

#### getMapping

    public java.lang.String getMapping()

#### getWrapper

    public Wrapper getWrapper()

#### isJspWildCard

    public boolean isJspWildCard()

#### isResourceOnly

    public boolean isResourceOnly()